/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VMaelstromAnnotation;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VMaelstromAnnotationRecord extends TableRecordImpl<VMaelstromAnnotationRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_maelstrom_annotation.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_annotation.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_maelstrom_annotation.annotation</code>.
     */
    public void setAnnotation(JSONB value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_annotation.annotation</code>.
     */
    public JSONB getAnnotation() {
        return (JSONB) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VMaelstromAnnotationRecord
     */
    public VMaelstromAnnotationRecord() {
        super(VMaelstromAnnotation.V_MAELSTROM_ANNOTATION);
    }

    /**
     * Create a detached, initialised VMaelstromAnnotationRecord
     */
    public VMaelstromAnnotationRecord(String uniqueName, JSONB annotation) {
        super(VMaelstromAnnotation.V_MAELSTROM_ANNOTATION);

        setUniqueName(uniqueName);
        setAnnotation(annotation);
        resetChangedOnNotNull();
    }
}
